<bugID>1193110<Summary>Wait for performance connection to complete before closing toolbox</Summary><Description>Uncovered when landing real performance actor. Originally, we would wait for perf connection during toolbox startup during testing, so it'd be available, and we don't get race conditions when tearing down. Looks like some jetpack tests don't have gDevTools.testing on (why would they?), so was running into this.

Have a much cleaner solution now.

https://treeherder.mozilla.org/#/jobs?repo=fx-team&amp;revision=4e11c910454f

TEST-UNEXPECTED-FAIL | jetpack-package/addon-sdk/source/test/test-dev-panel.js.test Panel API | There was an uncaught Promise rejection: Error: Connection closed, pending request to server1.conn0.performanceActor21, type connect failed
TEST-UNEXPECTED-FAIL | jetpack-package/addon-sdk/source/test/test-dev-panel.js.test createView panel | There was an uncaught Promise rejection: Error: Connection closed, pending request to server1.conn4.performanceActor21, type connect failed
TEST-UNEXPECTED-FAIL | jetpack-package/addon-sdk/source/test/test-dev-panel.js.test viewFor panel | There was an uncaught Promise rejection: Error: Connection closed, pending request to server1.conn6.performanceActor21, type connect failed</Description></bugID>